<?php
/**
 * Register required, recommended plugins for theme
 *
 * @link http://tgmpluginactivation.com/configuration/
 *
 * @package Logitech
 */
require_once get_template_directory() . '/inc/libs/class-tgm-plugin-activation.php';
function logitech_register_required_plugins() {
	$plugins = array(
		array(
			'name'               => esc_html__( 'Meta Box', 'logitech' ),
			'slug'               => 'meta-box',
			'required'           => true,
		),
		array(
			'name'               => esc_html__( 'Kirki', 'logitech' ),
			'slug'               => 'kirki',
			'required'           => true,
		),
		array(
			'name'               => esc_html__( 'Elementor Page Builder', 'logitech' ),
			'slug'               => 'elementor',
			'required'           => true,
		),
		array(
            'name'               => esc_html__( 'Contact Form 7', 'logitech' ),
            'slug'               => 'contact-form-7',
            'required'           => false,
		),
		array(
            'name'               => esc_html__( 'MailChimp for WordPress', 'logitech' ),
            'slug'               => 'mailchimp-for-wp',
            'required'           => false,
		),
		array(
            'name'               => esc_html__( 'OT Portfolio', 'logitech' ), // The plugin name.
            'slug'               => 'ot_portfolio', // The plugin slug (typically the folder name).
            'source'             => esc_url('http://testerwp.com/demo/wp-content/plugins/ot_portfolio.zip'), // The plugin source.
            'required'           => false, // If false, the plugin is only 'recommended' instead of required.
        ),
        array(            
            'name'               => esc_html__( 'Revolution Slider', 'logitech' ), // The plugin name.
            'slug'               => 'revslider', // The plugin slug (typically the folder name).
            'source'             => esc_url('http://testerwp.com/demo/wp-content/plugins/revslider.zip'),// The plugin source.
            'required'           => false, // If false, the plugin is only 'recommended' instead of required.
        ),
        array(            
            'name'               => esc_html__( 'One Click Demo Content', 'logitech' ), // The plugin name.
            'slug'               => 'one-click-demo-import', // The plugin slug (typically the folder name).
            'required'           => false, // If false, the plugin is only 'recommended' instead of required.
        ),
        
            array(            
            'name'               => esc_html__( 'Elementer Kit', 'logitech' ), // The plugin name.
            'slug'               => 'elementskit-lite',
            'required'           => false,
        ),
		
		array(            
            'name'               => esc_html__( 'Woocommerce', 'logitech' ), // The plugin name.
            'slug'               => 'woocommerce',
            'required'           => false,
        ),
	);
	$config  = array(
		'domain'       => 'logitech',
		'default_path' => '',
		'menu'         => 'install-required-plugins',
		'has_notices'  => true,
		'is_automatic' => false,
		'message'      => '',
		'strings'      => array(
			'page_title'                      => esc_html__( 'Install Required Plugins', 'logitech' ),
			'menu_title'                      => esc_html__( 'Install Plugins', 'logitech' ),
			'installing'                      => esc_html__( 'Installing Plugin: %s', 'logitech' ),
			'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'logitech' ),
			'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'logitech' ),
			'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'logitech' ),
			'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'logitech' ),
			'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'logitech' ),
			'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'logitech' ),
			'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'logitech' ),
			'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'logitech' ),
			'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'logitech' ),
			'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'logitech' ),
			'activate_link'                   => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'logitech' ),
			'return'                          => esc_html__( 'Return to Required Plugins Installer', 'logitech' ),
			'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'logitech' ),
			'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'logitech' ),
			'nag_type'                        => 'updated',
		),
	);

	tgmpa( $plugins, $config );
}

add_action( 'tgmpa_register', 'logitech_register_required_plugins' );
